## Author: M. Turhan ÇOBAN
## Created: 2021-06-19

function retval = mutate(b)
N=64;
N1=1+int64(N*rand);
if(N1==65) 
  N1=64;
endif
b1=b;
bool1=b1(1,N1)=='0';
bool2=b1(1,N1)=='1';
b1(1,N1)=~b1(1,N1);
if bool1
  b1(1,N1)='1';
else
  b1(1,N1)='0';
endif
retval=b1;
endfunction
